{
	"pages": [
		// {
		// 	"path": "pages/grid/login",
		// 	"style": {
		// 		"navigationStyle": "custom"
		// 	}
		// }
		// ,
		
		 {
			"path": "pages/grid/grid",
			"style": {
				"navigationStyle": "custom" 
			}
		},{
			"path": "pages/ucenter",
			"style": {
				"navigationStyle": "custom"
			}
		},
		{
			"path": "pages/list/list",
			"style": {
				"navigationStyle": "custom"
			}
		},
		{
			"path": "pages/list/detail",
			"style": {
				"navigationStyle": "custom"
			}
		}




		// #ifdef APP-PLUS
		,{
			"path": "uni_modules/uni-upgrade-center-app/pages/upgrade-popup",
			"style": {
				"disableScroll": true,
				"app-plus": {
					"backgroundColorTop": "transparent",
					"background": "transparent",
					"titleNView": false,
					"scrollIndicator": false,
					"popGesture": "none",
					"animationType": "fade-in",
					"animationDuration": 200
				}
			}
		}
		// #endif  
	],
	"subPackages": [{
			"root": "pagesPackage/components",
			"pages": [{
				"path": "popup",
				"style": {
					"navigationBarTitleText": "",
					"enablePullDownRefresh": false,
					"navigationStyle": "custom",
					"app-plus": {
						"animationType": "fade-in", // 设置fade-in淡入动画，为最合理的动画类型
						"background": "transparent", // 背景透明
						"backgroundColor": "transparent", // 背景透明
						"webviewBGTransparent": true,
						"mask": "none",
						"popGesture": "none", // 关闭IOS屏幕左边滑动关闭当前页面的功能
						"bounce": "none" // 将回弹属性关掉
					}
				}
			}]
		},
		{
			"root": "pagesPackage/opendb-banner",
			"pages": [{
					"path": "add",
					"style": {
						"navigationBarTitleText": "新增"
					}
				},
				{
					"path": "edit",
					"style": {
						"navigationBarTitleText": "编辑"
					}
				},
				{
					"path": "list",
					"style": {
						"navigationBarTitleText": "列表"
					}
				},
				{
					"path": "detail",
					"style": {
						"navigationBarTitleText": "详情"
					}
				}
			]
		},
		{
			"root": "pagesPackage/uni-agree",
			"pages": [{
				"path": "uni-agree",
				"style": {
					"navigationStyle": "custom",
					"app-plus": {
						"popGesture": "none"
					}
				}
			}]
		},
		{
			"root": "pagesPackage/ucenter",
			"pages": [{
					"path": "invite/invite",
					"style": {
						"navigationStyle": "custom",
						"enablePullDownRefresh": false
					}
				},
				{
					"path": "settings/settings",
					"style": {
						"navigationBarTitleText": "设置"
					}
				},
				{
					"path": "read-news-log/read-news-log",
					"style": {
						"navigationBarTitleText": "阅读记录",
						"enablePullDownRefresh": true
					}
				},
				{
					"path": "pay/index",
					"style": {
						"navigationStyle": "custom"
					}
				},
				{
					"path": "about/about",
					"style": {
						"navigationBarTitleText": "关于",
						"app-plus": {
							"titleNView": {
								"buttons": [{
									"type": "share"
								}]
							}
						}
					}
				}
			]
		},
		{
			"root": "uni_modules/uni-feedback",
			"pages": [{
				"path": "pages/opendb-feedback/opendb-feedback",
				"style": {
					"navigationBarTitleText": "意见反馈",
					"enablePullDownRefresh": false
				}
			}]
		}, {
			"root": "uni_modules/uni-id-pages/pages",
			"pages": [{
					"path": "userinfo/userinfo",
					"style": {
						"navigationBarTitleText": "个人资料"
					}
				},
				{
					"path": "userinfo/realname-verify/realname-verify",
					"style": {
						"enablePullDownRefresh": false,
						"navigationBarTitleText": "实名认证"
					}
				},
				{
					"path": "login/login-withoutpwd"
				},
				{
					"path": "login/login-withpwd"
				},
				{
					"path": "userinfo/deactivate/deactivate",
					"style": {
						"navigationBarTitleText": "注销账号"
					}
				},
				{
					"path": "userinfo/bind-mobile/bind-mobile",
					"style": {
						"navigationBarTitleText": "绑定手机号码"
					}
				},
				{
					"path": "login/login-smscode",
					"style": {
						"navigationBarTitleText": "手机验证码登录"
					}
				},
				{
					"path": "register/register",
					"style": {
						"navigationBarTitleText": "注册"
					}
				},
				{
					"path": "retrieve/retrieve",
					"style": {
						"navigationBarTitleText": "重置密码"
					}
				}, {
					"path": "common/webview/webview",
					"style": {
						"enablePullDownRefresh": false,
						"navigationBarTitleText": ""
					}
				}, {
					"path": "userinfo/change_pwd/change_pwd",
					"style": {
						"enablePullDownRefresh": false,
						"navigationBarTitleText": "修改密码"
					}
				}, {
					"path": "register/register-by-email",
					"style": {
						"navigationBarTitleText": "邮箱验证码注册"
					}
				}, {
					"path": "retrieve/retrieve-by-email",
					"style": {
						"navigationBarTitleText": "通过邮箱重置密码"
					}
				},
				{
					"path": "userinfo/set-pwd/set-pwd",
					"style": {
						"enablePullDownRefresh": false,
						"navigationBarTitleText": "设置密码"
					}
				}
				// #ifdef H5
				,
				{
					"path": "userinfo/cropImage/cropImage"
				},
				{
					"path": "register/register-admin",
					"style": {
						"enablePullDownRefresh": false,
						"navigationBarTitleText": "注册管理员账号"
					}
				}
				// #endif
			]
		}, {
			"root": "pagesPackage/ngtools_Flow",
			"pages": [{
					"path": "cysllJs",
					"style": {
						"navigationBarTitleText": "差压式流量计算",
						"navigationStyle": "custom"
					}
				}, {
					"path": "sdsllJs",
					"style": {
						"navigationBarTitleText": "速度式流量计算",
						"navigationStyle": "custom"
					}
				},
				{
					"path": "ljlllJs",
					"style": {
						"navigationBarTitleText": "临界流流量计算",
						"navigationStyle": "custom"


					}
				},
				{
					"path": "SqgyJs",
					"style": {
						"navigationBarTitleText": "输气工艺",
						"navigationStyle": "custom"
					}
				}

			]
		}, {
			"root": "pagesPackage/ngtools_Par",
			"pages": [{
					"path": "zJs",
					"style": {
						"navigationBarTitleText": "压缩因子计算GB/T 17747",
						"navigationStyle": "custom"


					}
				},
				{
					"path": "mdRzJs",
					"style": {
						"navigationBarTitleText": "密度热值计算GB/T 11062",
						"navigationStyle": "custom"
					}
				},
				{
					"path": "qtJs",
					"style": {
						"navigationBarTitleText": "其他物性参数计算",
						"navigationStyle": "custom"
					}
				},
				{
					"path": "ZBgJs",
					"style": {
						"navigationBarTitleText": "压缩因子表格",
						"navigationStyle": "custom"
					}
				}
			]
		}, {
			"root": "pagesPackage/ngtools_CNG",
			"pages": [{
					"path": "LNGQhJs",
					"style": {
						"navigationBarTitleText": "LNG气化计算",
						"navigationStyle": "custom"


					}
				},
				{
					"path": "srjJs",
					"style": {
						"navigationBarTitleText": "罐车水容积计算",
						"navigationStyle": "custom"
					}
				},
				{
					"path": "zxcJs",
					"style": {
						"navigationBarTitleText": "装卸量计算",
						"navigationStyle": "custom"
					}
				},

				{
					"path": "srjBgJs",
					"style": {
						"navigationBarTitleText": "水容积表格",
						"navigationStyle": "custom"
					}
				}
			]
		}, {
			"root": "pagesPackage/ngTools_depart",
			"pages": [{
					"path": "add",
					"style": {
						"navigationStyle": "custom"
					}
				}, {
					"path": "edit",
					"style": {
						"navigationStyle": "custom"
					}
				}, {
					"path": "list",
					"style": {
						"navigationStyle": "custom"
					}
				}, {
					"path": "detail",
					"style": {
						"navigationStyle": "custom"
					}
				},
				{
					"path": "departList/departList",
					"style": {
						"navigationBarTitleText": ""
					}
				}
			]
		},
		{
			"root": "pagesPackage/ngTools_Dict",
			"pages": [{
					"path": "add",
					"style": {
						"navigationStyle": "custom"
					}
				},
				{
					"path": "edit",
					"style": {
						"navigationStyle": "custom"
					}
				},
				{
					"path": "list",
					"style": {
						"navigationStyle": "custom"
					}
				},
				{
					"path": "detail",
					"style": {
						"navigationStyle": "custom"
					}
				}
			]
		},

		{
			"root": "pagesPackage/ngTools_DictItem",
			"pages": [{
					"path": "add",
					"style": {
						"navigationStyle": "custom"
					}
				},
				{
					"path": "edit",
					"style": {
						"navigationStyle": "custom"
					}
				},
				{
					"path": "list",
					"style": {
						"navigationStyle": "custom"
					}
				},
				{
					"path": "detail",
					"style": {
						"navigationStyle": "custom"
					}
				}
			]
		},

		{
			"root": "pagesPackage/ngtools_information",
			"pages": [{
					"path": "add",
					"style": {
						"navigationBarTitleText": "新增"
					}
				},
				{
					"path": "edit",
					"style": {
						"navigationBarTitleText": "编辑"
					}
				},
				{
					"path": "list",
					"style": {
						"navigationBarTitleText": "列表"
					}
				},
				{
					"path": "detail",
					"style": {
						"navigationBarTitleText": "详情"
					}
				}
			]
		},
		{
			"root": "pagesPackage/ngtools_categories",
			"pages": [{
					"path": "add",
					"style": {
						"navigationBarTitleText": "新增"
					}
				},
				{
					"path": "edit",
					"style": {
						"navigationBarTitleText": "编辑"
					}
				},
				{
					"path": "list",
					"style": {
						"navigationBarTitleText": "列表"
					}
				},
				{
					"path": "detail",
					"style": {
						"navigationBarTitleText": "详情"
					}
				}
			]
		},
		{
			"root": "pagesPackage/ngTools_SamplingLocation",
			"pages": [{
					"path": "add",
					"style": {
						"navigationStyle": "custom"
					}
				},
				{
					"path": "edit",
					"style": {
						"navigationStyle": "custom"
					}
				},
				{
					"path": "list",
					"style": {
						"navigationStyle": "custom"
					}
				},
				{
					"path": "detail",
					"style": {
						"navigationStyle": "custom"
					}
				}
			]
		},
		{
			"root": "pagesPackage/ngTools_MeterList",
			"pages": [{
					"path": "add",
					"style": {
						"navigationStyle": "custom"
					}
				},
				{
					"path": "edit",
					"style": {
						"navigationStyle": "custom"
					}
				},
				{
					"path": "list",
					"style": {
						"navigationStyle": "custom"
					}
				},
				{
					"path": "detail",
					"style": {
						"navigationStyle": "custom"
					}
				}
			]
		},
		{
			"root": "pagesPackage/ngtools-goods",
			"pages": [{
					"path": "add",
					"style": {
						"navigationBarTitleText": "新增"
					}
				},
				{
					"path": "edit",
					"style": {
						"navigationBarTitleText": "编辑"
					}
				},
				{
					"path": "list",
					"style": {
						"navigationBarTitleText": "列表"
					}
				},
				{
					"path": "detail",
					"style": {
						"navigationBarTitleText": "详情"
					}
				}
			]
		},
		{
			"root": "uni_modules/uni-pay",
			"pages": [{
					"path": "pages/success/success",
					"style": {
						"navigationStyle": "custom"
					}
				},
				{
					"path": "pages/ad-interactive-webview/ad-interactive-webview",
					"style": {
						"navigationStyle": "custom"
					}
				},
				{
					"path": "pages/pay-desk/pay-desk",
					"style": {
						"navigationStyle": "custom"
					}
				}
			]
		}
	],
	"globalStyle": {
		// #ifdef H5
		"h5": {
			"titleNView": false
		},
		// #endif
		"navigationBarTextStyle": "black",
		// "navigationBarTitleText": "uni-starter",
		"navigationBarBackgroundColor": "#FFFFFF",
		"backgroundColor": "#F8F8F8",
		"enablePullDownRefresh": false,
		// "maxWidth":375,
		"rpxCalcMaxDeviceWidth": 375,
		"rpxCalcBaseDeviceWidth": 375
		// "rpxCalcIncludeWidth":0
	},
	"condition": {
		"list": [
			// {
			// 	"path": "pages/list/detail"
			// },
			// {
			// 	"path": "pages/list/list"
			// },

			// {
			// 	"path": "pages/ucenter/settings/settings"
			// }
		],
		"current": 1
	},
	"tabBar": {
		"color": "#7A7E83",
		"selectedColor": "#007AFF",
		"borderStyle": "black",
		"backgroundColor": "#FFFFFF",
		"list": [{
				"pagePath": "pages/grid/grid",
				"iconPath": "static/tabbar/list.png",
				"selectedIconPath": "static/tabbar/list_active.png",
				"text": "首页"
			}
			// , {
			// 	"pagePath": "pages/list/list",
			// 	"iconPath": "static/tabbar/grid.png",
			// 	"selectedIconPath": "static/tabbar/grid_active.png",
			// 	"text": "常用资料"
			// }
			, {
				"pagePath": "pages/ucenter",
				"iconPath": "static/tabbar/me.png",
				"selectedIconPath": "static/tabbar/me_active.png",
				"text": "我的"
			}
		]
	},
	"uniIdRouter": {
		"loginPage": "uni_modules/uni-id-pages/pages/login/login-withoutpwd",
		"needLogin": [
			"/uni_modules/uni-id-pages/pages/userinfo/userinfo"
		],
		"resToLogin": true
	}
}